<?php

if(! defined('OT_ROOT')) {
	exit('Access Denied');
}


class AppXcxBaby{
	public static $appName = '小程序宝宝喂养 - 成员管理';
	public static $appID = 176;

	public static function Jud(){
		return false;
	}

	public static function Show($str, $def=''){
			return $def;
	}

	public static function TypeArr(){
		return array(
			'weinai'	=> '喂奶',
			'fushi'		=> '辅食',
			'niaobu'	=> '尿布',
			'shuimian'	=> '睡眠',
			'chiyao'	=> '吃药',
			'dazhen'	=> '打针',
			'xizao'		=> '洗澡',
			'tiwen'		=> '体温',
			'yiyuan'	=> '医院',
			'qita'		=> '其他'
			);
	}

	public static function TypeCN($str){
		$typeArr = self::ScoreTypeArr();

		if (isset($typeArr[$str])){
			return $typeArr[$str];
		}else{
			return '['. $str .']';
		}
	}

	public static function TypeColor($str){
		switch ($str){
			case 'weinai':		return '#2979ff';
			case 'fushi':		return '#ff9900';
			case 'niaobu':		return '#19be6b';
			case 'shuimian':	return '#be1919';
			case 'chiyao':		return '#7a0cb9';
			case 'xizao':		return '#426608';
			case 'tiwen':		return '#09939c';
			case 'yiyuan':		return '#0a77c0';
		}
	}

	public static function ListData(){
		$dataArr	= array('res' => false, 'note' => '', 'size' => 0, 'page' => 0, 'pageCount' => 0, 'count' => 0, 'dataCount' => 0, 'data' => array());
		$dataArr['res']		= false;
		$dataArr['note']	= StrInfo::AlertStr('noApp');

		die( json_encode($dataArr) );
	}

	public static function Send(){
		$dataArr = array();
		$dataArr['res']		= false;
		$dataArr['note']	= StrInfo::AlertStr('noApp');
		$dataArr['data']	= null;

		die( json_encode($dataArr) );
	}

	public static function Deal(){
		$dataArr = array();
		$dataArr['res']		= false;
		$dataArr['note']	= StrInfo::AlertStr('noApp');
		$dataArr['data']	= null;

		die( json_encode($dataArr) );
	}

	public static function Del(){
		$dataArr = array();
		$dataArr['res']		= false;
		$dataArr['note']	= StrInfo::AlertStr('noApp');

		die( json_encode($dataArr) );
	}
}
?>